LAST(1)

NUME
last, lastb - afișează o listă a ultimilor utilizatori autentificați

REZUMAT

last [opțiuni] [nume-utilizator...] [tty...]

lastb [opțiuni] [nume-utilizator...] [tty...]

DESCRIERE

last caută înapoi în fișierul /var/log/wtmp (sau în fișierul desemnat de opțiunea -f) și afișează o listă a tuturor utilizatorilor conectați (și deconectați) de când a fost creat fișierul respectiv. Se pot indica unul sau mai multe nume-utilizator și/sau ttys, caz în care last va afișa numai intrările care corespund acestor argumente. Numele ttys pot fi abreviate, astfel încât last 0 este același lucru cu last tty0.

Atunci când interceptează un semnal SIGINT (generat de tasta de întrerupere, de obicei control-C) sau un semnal SIGQUIT, last va arăta cât de departe a căutat în fișier; în cazul semnalului SIGINT, last se va încheia.

Pseudo-utilizatorul reboot se conectează de fiecare dată când sistemul este repornit. Astfel, last reboot va afișa un jurnal al tuturor repornirilor de când a fost creat fișierul jurnal.

lastb este la fel ca last, cu excepția faptului că, în mod implicit, afișează un jurnal al fișierului /var/log/btmp, care conține toate încercările de autentificare greșite.

OPȚIUNI

-a, --hostlast
    Afișează numele gazdei în ultima coloană. Este utilă în combinație cu opțiunea --dns.

-d, --dns
    Pentru autentificările non-locale, Linux stochează nu numai numele de gazdă al gazdei la distanță, ci și numărul IP al acesteia. Această opțiune transformă numărul IP înapoi în nume de gazdă.

-f, --file fișier
    Îi indică lui last să utilizeze un anumit fișier în loc de /var/log/wtmp. Opțiunea --file poate fi dată de mai multe ori, iar toate fișierele specificate vor fi procesate.

-F, --fulltimes
    Afișează orele și datele complete de conectare și deconectare.

-i, --ip
    La fel ca --dns , dar afișează numărul IP al gazdei în loc de nume.

-număr; -n, --limit număr
    Îi indică lui last câte linii trebuie afișate.

-p, --present data+ora
    Afișează utilizatorii care au fost prezenți la data+ora specificată. Acest lucru este similar cu utilizarea opțiunilor --since și --until împreună cu aceeași data+ora.

-R, --nohostname
    Suprimă afișarea câmpului hostname (nume-gazdă).

-s, --since data+ora
    Afișează starea conectărilor de la data+ora specificată. Acest lucru este util, de exemplu, pentru a determina cu ușurință cine a fost conectat la un anumit moment. Opțiunea este adesea combinată cu --until.

-t, --until data+ora
    Afișează starea conectărilor până la data+ora specificată.

-T, --tab-separated
    Utilizează caracterele ASCII tab pentru a separa coloanele afișate la ieșire în loc de spații.

--time-format format
    Definește formatul mărcii temporale de ieșire ca fiind unul dintre notime, short, fulll sau iso. Varianta notime nu va afișa nicio marcă de timp, short este valoarea implicită, iar fulll este aceeași cu opțiunea --fulltimes. Varianta iso va afișa marca de timp în format ISO-8601. Formatul ISO conține informații despre fusul orar, ceea ce îl face preferabil atunci când imprimările sunt cercetate în afara sistemului.

-w, --fullnames
    Afișează numele de utilizator complete și numele de domeniu/adresele IP în ieșire. Numele de domeniu și adresele IP sunt trunchiate la 16 caractere, iar numele de utilizator sunt trunchiate la 8 caractere atunci când această opțiune nu este specificată. Un asterisc este definit ca ultimul caracter al câmpurilor trunchiate.

-x, --system
    Afișează intrările de închidere a sistemului și modificările nivelului de execuție.

-h, --help
    Afișează acest mesaj de ajutor și iese.

-V, --version
    Afișează versiunea și iese.

FORMATE DE TIMP

Opțiunile care au ca argument data+ora înțeleg următoarele formate:
AAAALLZZhhmmss |
AAAA-LL-ZZ hh:mm:ss |
AAAA-LL-ZZ hh:mm | (secundele vor fi puse la 00)
AAAA-LL-ZZ | (ora va fi pusă la 00:00:00)
hh:mm:ss | (data va fi fixată la ziua de azi)
hh:mm | (data va fi fixată la ziua de azi, secundele la 00)
now | (acum, în acest moment)
yesterday | (ora este fixată la 00:00:00)
today | (ora este fixată la 00:00:00)
tomorrow | (ora este fixată la 00:00:00)
+5min | (peste 5 minute)
-5days | (în urmă cu 5 zile)

FIȘIERE

/var/log/wtmp, /var/log/btmp

NOTE

Este posibil ca fișierele wtmp și btmp să nu fie găsite. Sistemul înregistrează informații în aceste fișiere numai dacă sunt prezente. Aceasta este o problemă de configurare locală. Dacă doriți ca aceste fișiere să fie utilizate, ele pot fi create cu o simplă comandă touch(1) (de exemplu, touch /var/log/wtmp).

O intrare goală este un tip valid de intrare wtmp. Aceasta înseamnă că un fișier gol sau un fișier cu zerouri nu este interpretat ca o eroare.

Formatul de fișier „utmp” utilizează dimensiuni fixe ale șirurilor de caractere, ceea ce înseamnă că șirurile foarte lungi sunt imposibil de stocat în fișier și imposibil de afișat prin last. Limitele obișnuite sunt de 32 de octeți pentru un nume de utilizator și de linie și de 256 de octeți pentru un nume de gazdă.

AUTORI

CONSULTAȚI ȘI

login(1), wtmp(5), init(8), shutdown(8)

RAPORTAREA ERORILOR

Pentru rapoarte de eroare, folosiți

DISPONIBILITATE

Comanda last face parte din pachetul util-linux care poate fi descărcat de la